Package ghidra.app.util.bin.format.pef

# Enum Class SymbolClass

java.lang.Object
java.lang.Enum<SymbolClass>
ghidra.app.util.bin.format.pef.SymbolClass

All Implemented Interfaces:
  `Serializable`, `Comparable<SymbolClass>`, `Constable`

public enum SymbolClass extends Enum<SymbolClass>
Imported and exported symbol classes

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `kPEFCodeSymbol`
  A code address
  `kPEFDataSymbol`
  A data address
  `kPEFGlueSymbol`
  A linker-inserted glue symbol
  `kPEFTOCSymbol`
  A direct data area (table of contents) symbol
  `kPEFTVectSymbol`
  A standard procedure pointer
  `kPEFUndefinedSymbol`
  A undefined symbol

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SymbolClass`
  `get(int value)`
  `int`
  `value()`
  `static SymbolClass`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SymbolClass[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### kPEFCodeSymbol

    public static final SymbolClass kPEFCodeSymbol
    A code address

  - ### kPEFDataSymbol

    public static final SymbolClass kPEFDataSymbol
    A data address

  - ### kPEFTVectSymbol

    public static final SymbolClass kPEFTVectSymbol
    A standard procedure pointer

  - ### kPEFTOCSymbol

    public static final SymbolClass kPEFTOCSymbol
    A direct data area (table of contents) symbol

  - ### kPEFGlueSymbol

    public static final SymbolClass kPEFGlueSymbol
    A linker-inserted glue symbol

  - ### kPEFUndefinedSymbol

    public static final SymbolClass kPEFUndefinedSymbol
    A undefined symbol

- ## Method Details

  - ### values

    public static SymbolClass[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SymbolClass valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()

  - ### get

    public static SymbolClass get(int value)